<template lang="pug">
  .container-production
    .wrapper-type-of-biorobot.production-wrapper-labels-space-bottom
      BaseText.production-inputs-type-space-bottom(size='text-small' weight='weight500') Тип биоробота:
      label.label.label-type-of-biorobot-frontend FrontEnd
        BaseRadio(
          :model.sync='biorobot'
          value='front'
          name="type"
        )
      label.label.label-type-of-biorobot-design Design
        BaseRadio(
          :model.sync='biorobot'
          value='designer'
          name="type"
          )
    .wrapper-type-of-stabilizer.production-wrapper-labels-button-space-bottom
      BaseText.production-inputs-type-space-bottom(size='text-small' weight='weight500') Стабилизатор:
      label.label.label-stabilizer-male Male
        BaseRadio(
          :model.sync='stabilizer'
          value='male'
          name="gender"
        )
      label.label.label-stabilizer-famale Famale
        BaseRadio(
          :model.sync='stabilizer'
          value='famale'
          name="gender"
        )
</template>

<script lang='ts'>
import { Vue, Component, Prop } from 'vue-property-decorator'

import BaseText from '../BaseText.vue'
import BaseRadio from '../BaseRadio.vue'

@Component({
  components: {
    BaseText,
    BaseRadio
  }
})
export default class InputsProduction extends Vue {
  @Prop() typeOfBiorobot: string
  @Prop() typeOfStabilizer: string

  get biorobot () {
    return this.typeOfBiorobot
  }

  set biorobot (value: String) {
    this.$emit('update:typeOfBiorobot', value)
  }

  get stabilizer () {
    return this.typeOfStabilizer
  }

  set stabilizer (value: String) {
    this.$emit('update:typeOfStabilizer', value)
  }
}
</script>

<style lang="scss" scoped>
@import '../../assets/styles/config/variables.scss';

.label {
  position: relative;
  margin-left: 25px;
  font-size: 12px;
  line-height: 16px;

  cursor: pointer;
}

.label-type-of-biorobot-frontend {
  padding-left: 15px;
}

.label-type-of-biorobot-design {
  margin-left: 25px;
  padding-left: 15px;
  .input {
    right: 85px;
  }
}

.label-stabilizer-male {
  margin-left: 25px;
  padding-left: 15px;
  .input {
    right: 72px;
  }
}

.label-stabilizer-famale {
  margin-left: 52px;
  padding-left: 15px;
  .input {
    right: 85px;
  }
}
</style>
